import request from '@/utils/request'
// 查询预支工资账单列表
export function billList(query) {
    return request({
        url: '/djl-salary//advance/salary/bill/l',
        method: 'get',
        params: query
    })
}
// 查询项目账单明细
export function billProjectList(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/project/l",
        method: 'get',
        params: query,
    })
}
// 查询所有项目下拉
export function queryallproject(query) {
    return request({
        url: "/djl-salary/salaryproject/queryallproject",
        method: 'get',
        params: query,
    })
}
// 查询所有派遣公司下拉
export function queryAllDispatch(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/dispatch/list",
        method: 'get',
        params: query,
    })
}
// 预支工资账单明细列表
export function billDetail(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/details",
        method: 'get',
        params: query,
    })
}
// 结算
export function billSettle(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/settle",
        method: 'post',
        data: query,
    })
}
// 收款
export function billCollect(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/collect",
        method: 'post',
        data: query,
    })
}

// 查询发薪账单列表
export function payBillList(query) {
    return request({
        url: "/djl-salary/salary/pay/bill/l",
        method: 'get',
        params: query,
    })
}
// 查询发薪账单明细
export function payBillBatchList(query) {
    return request({
        url: "/djl-salary/salary/pay/bill/batch/l",
        method: 'get',
        params: query,
    })
}
// 发薪账单结算
export function payBillSettle(query) {
    return request({
        url: "/djl-salary/salary/pay/bill/settle",
        method: 'post',
        data: query,
    })
}
// 发薪账单收款
export function payBillPayment(query) {
    return request({
        url: "/djl-salary/salary/pay/bill/collect",
        method: 'post',
        data: query,
    })
}
// 合同账单主列表
export function contractBillList(query) {
    return request({
        url: "/djl-contract/contract/bill/query/list",
        method: 'get',
        params: query,
    })
}
// 合同账单主列表
export function proContractBillList(query) {
    return request({
        url: "/djl-contract/pro/contract/bill/query/list",
        method: 'get',
        params: query,
    })
}
// 合同账单结算
export function contractBillSettle(query) {
    return request({
        url: "/djl-contract/contract/bill/settle",
        method: 'post',
        data: query,
    })
}
// 合同账单收款
export function contractBillPayment(query) {
    return request({
        url: "/djl-contract/contract/bill/collect",
        method: 'post',
        data: query,
    })
}